> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# File version legal holds resources

A legal hold is a process that an enterprise can use to preserve all forms of potentially relevant information when litigation is pending or reasonably anticipated. A File Version Legal Hold represents all the policies that are assigned to a specific file version.

## File version legal hold

File version legal hold is an entity representing all holds on a File Version.

<Accordion title="Attributes and example">
  | Property                        | Type                                                                                                                     | Required | Description                                                                                                        |
  | ------------------------------- | ------------------------------------------------------------------------------------------------------------------------ | -------- | ------------------------------------------------------------------------------------------------------------------ |
  | `id`                            | `string`                                                                                                                 | No       | The unique identifier for this file version legal hold.                                                            |
  | `type`                          | `enum<string>`                                                                                                           | No       | The value will always be `file_version_legal_hold`. Available options: `file_version_legal_hold`.                  |
  | `file_version`                  | `File version (Mini)`                                                                                                    | No       | The file version that is held.                                                                                     |
  | `file`                          | [File (Mini)](/reference/files-resources#file-mini)                                                                      | No       | The file for the file version held. Note that there is no guarantee that the current version of this file is held. |
  | `legal_hold_policy_assignments` | array of [Legal hold policy assignment](/reference/legal-hold-policy-assignments-resources#legal-hold-policy-assignment) | No       | List of assignments contributing to this Hold.                                                                     |
  | `deleted_at`                    | `string`                                                                                                                 | No       | Time that this File-Version-Legal-Hold was deleted.                                                                |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "file_version_legal_hold",
    "file_version": {
      "id": "12345",
      "type": "file_version",
      "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
    },
    "file": {
      "id": "12345",
      "etag": "1",
      "type": "file",
      "sequence_id": "3",
      "name": "Contract.pdf",
      "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
      "file_version": {
        "id": "12345",
        "type": "file_version",
        "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
      }
    },
    "legal_hold_policy_assignments": [
      {
        "id": "11446498",
        "type": "legal_hold_policy_assignment",
        "legal_hold_policy": {
          "id": "11446498",
          "type": "legal_hold_policy"
        },
        "assigned_to": {
          "type": "folder",
          "id": "6564564"
        },
        "assigned_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "assigned_at": "2012-12-12T10:53:43-08:00",
        "deleted_at": "2012-12-12T10:53:43-08:00"
      }
    ],
    "deleted_at": "2012-12-12T10:53:43-08:00"
  }
  ```
</Accordion>

## File version legal holds

A list of file versions with legal holds.

<Accordion title="Attributes and example">
  | Property      | Type                                                         | Required | Description                                                                                                                                                                            |
  | ------------- | ------------------------------------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                    | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                     | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                                     | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [File version legal hold](#file-version-legal-hold) | No       | A list of file version legal holds.                                                                                                                                                    |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "11446498",
        "type": "file_version_legal_hold",
        "file_version": {
          "id": "12345",
          "type": "file_version",
          "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
        },
        "file": {
          "id": "12345",
          "etag": "1",
          "type": "file",
          "sequence_id": "3",
          "name": "Contract.pdf",
          "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
          "file_version": {
            "id": "12345",
            "type": "file_version",
            "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
          }
        },
        "legal_hold_policy_assignments": [
          {
            "id": "11446498",
            "type": "legal_hold_policy_assignment",
            "legal_hold_policy": {
              "id": "11446498",
              "type": "legal_hold_policy"
            },
            "assigned_to": {
              "type": "folder",
              "id": "6564564"
            },
            "assigned_by": {
              "id": "11446498",
              "type": "user",
              "name": "Aaron Levie",
              "login": "ceo@example.com"
            },
            "assigned_at": "2012-12-12T10:53:43-08:00",
            "deleted_at": "2012-12-12T10:53:43-08:00"
          }
        ],
        "deleted_at": "2012-12-12T10:53:43-08:00"
      }
    ]
  }
  ```
</Accordion>
